{
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "",
    "title": "cloro",
    "version": "1",
    "x-aisa-capabilities": {
      "idempotency": "Idempotency-Key",
      "max_price": "X-AISA-Max-Price-USD",
      "quote": {
        "header": "X-AISA-Cost-Mode",
        "value": "quote"
      }
    },
    "x-aisa-catalogs": {
      "cloro": {
        "description": "",
        "title": "cloro",
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          }
        },
        "x-aisa-document": {
          "facts_hash": "13fcfb710a6b4555615cb73b3a24b96122e740cd7758dabced19df5a18337bfa",
          "generator_version": "3",
          "protocol_version": "1",
          "schema_version": "1"
        },
        "x-aisa-plans": {
          "builder": 1.0,
          "display_plan": "payg",
          "payg": 1.0,
          "similarweb_payg": 1.0,
          "team": 1.0,
          "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
        }
      }
    },
    "x-aisa-configured-paths": [
      "/apis/v1/cloro/ai-search-chatgpt-scrape",
      "/apis/v1/cloro/ai-search-copilot-scrape",
      "/apis/v1/cloro/ai-search-gemini-scrape",
      "/apis/v1/cloro/ai-search-perplexity-answer",
      "/apis/v1/cloro/google-serp-ai-mode",
      "/apis/v1/cloro/google-serp-news",
      "/apis/v1/cloro/google-serp-organic"
    ],
    "x-aisa-document": {
      "composer_version": "28",
      "document_hash": "sha256:466f8d8dbacb2b80695eaa2d606601f384ab8e663c44e446bd67539b1141310b",
      "facts_hash": "13fcfb710a6b4555615cb73b3a24b96122e740cd7758dabced19df5a18337bfa",
      "generator_version": "3",
      "protocol_version": "1",
      "response_pending": [],
      "schema_version": "1"
    },
    "x-aisa-plans": {
      "builder": 1.0,
      "display_plan": "payg",
      "payg": 1.0,
      "similarweb_payg": 1.0,
      "team": 1.0,
      "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
    },
    "x-aisa-provider": "cloro"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "openapi": "3.1.0",
  "paths": {
    "/apis/v1/cloro/ai-search-chatgpt-scrape": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0036 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "cloro.ai-search-chatgpt-scrape",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "country": "example",
                    "legacy": false,
                    "prompt": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "country": "example",
                    "legacy": false,
                    "prompt": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "country": {
                    "minLength": 1,
                    "type": "string"
                  },
                  "legacy": {
                    "enum": [
                      false
                    ],
                    "type": "boolean"
                  },
                  "prompt": {
                    "minLength": 1,
                    "type": "string"
                  }
                },
                "required": [
                  "country",
                  "legacy",
                  "prompt"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "ChatGPT answer — text, sources, ads, shopping",
        "tags": [
          "cloro"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "cloro",
        "x-aisa-category": "search",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/cloro/cloro-ai-search-chatgpt-scrape",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0036,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "4df49b7c71e3"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "cloro.ai-search-chatgpt-scrape",
          "path": "/apis/v1/cloro/ai-search-chatgpt-scrape"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/cloro/ai-search-chatgpt-scrape \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"country\": \"example\",\n  \"legacy\": false,\n  \"prompt\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/cloro/ai-search-copilot-scrape": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0028 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "cloro.ai-search-copilot-scrape",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "country": "example",
                    "prompt": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "country": "example",
                    "prompt": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "country": {
                    "minLength": 1,
                    "type": "string"
                  },
                  "prompt": {
                    "minLength": 1,
                    "type": "string"
                  }
                },
                "required": [
                  "country",
                  "prompt"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Copilot answer — text, sources, shopping, places",
        "tags": [
          "cloro"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "cloro",
        "x-aisa-category": "search",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/cloro/cloro-ai-search-copilot-scrape",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0028,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "9b9f8f0b074a"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "cloro.ai-search-copilot-scrape",
          "path": "/apis/v1/cloro/ai-search-copilot-scrape"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/cloro/ai-search-copilot-scrape \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"country\": \"example\",\n  \"prompt\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/cloro/ai-search-gemini-scrape": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0024 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "cloro.ai-search-gemini-scrape",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "country": "example",
                    "prompt": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "country": "example",
                    "prompt": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "country": {
                    "minLength": 1,
                    "type": "string"
                  },
                  "prompt": {
                    "minLength": 1,
                    "type": "string"
                  }
                },
                "required": [
                  "country",
                  "prompt"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Google Gemini answer — text and sources",
        "tags": [
          "cloro"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "cloro",
        "x-aisa-category": "search",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/cloro/cloro-ai-search-gemini-scrape",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0024,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "59a6507efad6"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "cloro.ai-search-gemini-scrape",
          "path": "/apis/v1/cloro/ai-search-gemini-scrape"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/cloro/ai-search-gemini-scrape \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"country\": \"example\",\n  \"prompt\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/cloro/ai-search-perplexity-answer": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0024 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "cloro.ai-search-perplexity-answer",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "country": "example",
                    "prompt": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "country": "example",
                    "prompt": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "country": {
                    "minLength": 1,
                    "type": "string"
                  },
                  "prompt": {
                    "minLength": 1,
                    "type": "string"
                  }
                },
                "required": [
                  "country",
                  "prompt"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Perplexity answer — text, sources, media, shopping",
        "tags": [
          "cloro"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "cloro",
        "x-aisa-category": "search",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/cloro/cloro-ai-search-perplexity-answer",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0024,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "8f0ec7fb4061"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "cloro.ai-search-perplexity-answer",
          "path": "/apis/v1/cloro/ai-search-perplexity-answer"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/cloro/ai-search-perplexity-answer \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"country\": \"example\",\n  \"prompt\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/cloro/google-serp-ai-mode": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0024 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "cloro.google-serp-ai-mode",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "gl": "example",
                    "prompt": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "gl": "example",
                    "prompt": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "gl": {
                    "minLength": 1,
                    "type": "string"
                  },
                  "prompt": {
                    "minLength": 1,
                    "type": "string"
                  }
                },
                "required": [
                  "gl",
                  "prompt"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Google AI Mode answer — text, sources, products, places",
        "tags": [
          "cloro"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "cloro",
        "x-aisa-category": "search",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/cloro/cloro-google-serp-ai-mode",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0024,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "644609209615"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "cloro.google-serp-ai-mode",
          "path": "/apis/v1/cloro/google-serp-ai-mode"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/cloro/google-serp-ai-mode \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"gl\": \"example\",\n  \"prompt\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/cloro/google-serp-news": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.002 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "cloro.google-serp-news",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "gl": "example",
                    "pages": 1,
                    "query": "nike"
                  }
                },
                "minimal": {
                  "value": {
                    "gl": "example",
                    "pages": 1,
                    "query": "nike"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "gl": {
                    "minLength": 1,
                    "type": "string"
                  },
                  "pages": {
                    "enum": [
                      1,
                      10,
                      2,
                      3,
                      4,
                      5,
                      6,
                      7,
                      8,
                      9
                    ],
                    "maximum": 10,
                    "minimum": 1,
                    "type": "integer"
                  },
                  "query": {
                    "minLength": 1,
                    "type": "string"
                  }
                },
                "required": [
                  "gl",
                  "pages",
                  "query"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Google News results — titles, sources, dates",
        "tags": [
          "cloro"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "cloro",
        "x-aisa-category": "search",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/cloro/cloro-google-serp-news",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.002,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "ad458c718a18"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "cloro.google-serp-news",
          "path": "/apis/v1/cloro/google-serp-news"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/cloro/google-serp-news \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"gl\": \"example\",\n  \"pages\": 1,\n  \"query\": \"nike\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/cloro/google-serp-organic": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.002 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "cloro.google-serp-organic",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "gl": "example",
                    "pages": 1,
                    "query": "nike"
                  }
                },
                "minimal": {
                  "value": {
                    "gl": "example",
                    "pages": 1,
                    "query": "nike"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "gl": {
                    "minLength": 1,
                    "type": "string"
                  },
                  "pages": {
                    "enum": [
                      1,
                      10,
                      2,
                      3,
                      4,
                      5,
                      6,
                      7,
                      8,
                      9
                    ],
                    "maximum": 10,
                    "minimum": 1,
                    "type": "integer"
                  },
                  "query": {
                    "minLength": 1,
                    "type": "string"
                  }
                },
                "required": [
                  "gl",
                  "pages",
                  "query"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Google SERP — organic, PAA, local pack, AI Overview",
        "tags": [
          "cloro"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "cloro",
        "x-aisa-category": "search",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/cloro/cloro-google-serp-organic",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.002,
          "estimate_source": "profile_seed",
          "evidence_source": "response_header",
          "unit": "provider_credit",
          "unit_rate_usd": 1e-06
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "open_query": true,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "fda7874df42d",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "ec58e2313be2"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "cloro.google-serp-organic",
          "path": "/apis/v1/cloro/google-serp-organic"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/cloro/google-serp-organic \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"gl\": \"example\",\n  \"pages\": 1,\n  \"query\": \"nike\"\n}'"
          }
        ]
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api.aisa.one"
    }
  ]
}
